Subject: hpff-doc: IMPORTANT: document review

From: Mary E Zosel <[email-masked]>
Date: Thu, 27 Jun 1996 20:23:41 -0700 (PDT)

---------------------------------------------------------------------------
[email-masked] is a mailing list for HPF 2.0 language specification
authors and editors.  Instructions for adding or deleting yourself from this
list appear at the bottom of this message.
---------------------------------------------------------------------------
To: HPF document readers and writers

A draft of many of the chapters of the hpf document will be
posted by Chuck soon at Rice.  He will send a message saying
when and where.

Please note - what is there is incomplete for three reasons:

   - some chapters I simply couldn't find all the things that
     were messing up my latex  ... I'm far from an expert ...
  
   - and for some other chapters - for who-know-what reason, the
     files I extracted from the original tar file sent in May were
     truncated.   I discovered a couple of these in time to ask CHK
     for new copies ... the others I just put a sentence at the
     end saying that was all I had.

   - and some chapters just did not show up --- what is in the
     document (if there at all) is an old chapter.  :-(

  The chapters that I could not latex were:
    library.tex  library-ext.tex  hpf-local-ext.tex  
    fortran-local-ext.tex and c-interop-ext.tex

  The source for these chapters is in the tar file that will be
  posted.  THE LINE IN HPF-REPORT.TEX THAT INCLUDES THESE FILES
  HAS BEEN COMMENTED OUT - PENDED RESOLUTION OF WHATEVER CAUSED
  MY PROBLEMS ... I was finding things like extra or missing
  "}" ... and finally got tired of hunting.

This is a state of considerable disarray - and relative disaster
for getting a document turnaround.

PLEASE - PLEASE - PLEASE - PLEASE 
 
 - if you are a chapter writer - look at what is and is not 
   included.  PLEASE try to get a clean run of your chapter - 
   in the context of the hpf-report ... (not with your own
   macros, etc ... that was part of the problem).  

   if you don't understand hpf-report.tex - ask me.

 - if you are a chapter reader see what comments you can send to the
   chapter writer ASAP. Maybe if you grok latex, you can get a printout
   of the chapters I failed to include.

 - if you are a writer - incorporate any corrections you get ASAP and
   either send and updated copy of your chapter to Theresa for
   duplication (by July 3) OR bring 20 copies to the meeting (or both). 

==================
HERE IS A REMINDER OF WHAT YOU COMMITTED TO DO:
(note - some of the chapter numbers may be different because
of the deleted chapters)

DOCUMENT OUTLINE and NAMES
Section I   Introduction
Chapter 0:  Front, ack, etc
        writer: Mary
        reader: Chuck
Chapter 1: Overview - terms and concepts - new document/language structure, 
Fortran language base, F95 features, HPF 1.1 deletions, etc.
        writer: David and Carl
        reader:  Bob, Rob, Chuck, Jerry
Section II  HPF 2.0
Chapter 2: Mappings  - distribute, align, sequence, some of pointer.  
Material from most of v1.1 chapter 3 and some of chapter 7.
        writer: Piyush, Carl, GLS
        reader: Saday, Guy R.
Chapter 3: Mapping across Subprogram Interface. 
Material from v1.1 chapters 3 and 7.
        writer/reader - same as chapter 2.
Chapter 4:  Independent and Reduce
        writer: Chuck
        reader: Rob and Jay
Chapter 5: HPF Library (plus sort-up and sort-down)
        writer: Rob
        reader: Carol
Chapter 6:  Extrinsics
        writer: David
        reader: Mary
Chapter 7: Portability and Efficiency Issues (forall examples)
        writer: Andy, Chuck
        reader: Larry, Carl, Henry, Guy R.

Section III Extended Features
Chapter 8: More mappings (and related subprogram interface issues) 
{should this be two chapters as in Section II?} 
 GenBlock, indirect, range, shadow, subsets, derived type, more on pointers.
        writer:  Piyush, Carl
        reader: Saday, Guy R.
Chapter 9: ON, TASK, RESIDENT
        writer: Chuck, Jaspal
        reader: Jay
Chapter 10: New Library - generalized transpose, extended inquiries, 
new mappings.
        writer: Rob
        reader: Henry
Chapter 11: Async I/O
        writer: Larry
        reader: Alok
Chapter 12: HPF_LOCAL
        writer: David
        reader: Carl, Carol, Saday
Chapter 13: HPF_SERIAL
        writer: David
        reader: Carl, Carol, Saday
Chapter 14: PROVISIONAL TEXT - F77_LOCAL
 (don't really know where and if this goes yet).
        writer: Carol
        reader: ?
Chapter 15: C Interoperability
        writer: Henry and Andy
        reader: Scott, Jerry

Section IV  Appendixes
A - BNF  (GLS)
B - Extrinsic Extrinsics - (policy, mechanism, HPF_CRAFT)
        writer: Mary, Andy
        reader: Bob
C- Subset
        writer: Mary
        reader: Carol
Glossary and Bibliography later.  PLEASE - Chapter writers - note those features
that should be defined in the glossary and put the appropriate latex on the key 
places they are used.

Sweep Team:   Piyush, Carol, Henry, Rob, Mary

---------------------------------------------------------------------------
To (un)subscribe to this list, send mail to [email-masked].
Leave the subject line blank, and in the body put the line
(un)subscribe <email-address>
---------------------------------------------------------------------------